#----------------------------------------------------------
sub readEventSnooze
#----------------------------------------------------------
{
  ($h) = @_;
  $res_debug = 0;  

  #---- If this is test mode, return
  #if ($mode eq "test")
  #{
  #  return;
  #}

  $sql  = "select 
    dbamon.dateconvert_19(es_sts),
    dbamon.dateconvert_19(es_ets),
    dbamon.dateconvert_19(es_ts),
    es_zuser, 
    es_reason 
  from dbamon.event_snooze 
  where 
    es_instance = '$titleraw[$h]' and es_event = '$e_msgid_short'
    and getdate() >= es_sts and getdate() <= es_ets";
  
  &debug($h, "DEBUG: readEventSnooze - sql=$sql") if $res_debug; 

  $sth = $dbh->prepare($sql) || &error("DB_prepare");
  $sth->execute || &error("DB_execute");

  $es_selectcount = 0;
  while (@Data = $sth->fetchrow_array)
  {
    $es_sts    = $Data[0];
    $es_ets    = $Data[1];
    $es_ts     = $Data[2];
    $es_user   = $Data[3];
    $es_reason = $Data[4];
    $es_selectcount++;
  }
 
  return $es_selectcount;
}
1;
